function PD:UpdatePosition()
	a = self.db.char.pos;
	x = a:find("RIGHT") and -self.db.char.posX or self.db.char.posX;
	y = a:find("TOP") and -self.db.char.posY or self.db.char.posY;
	h = self.db.char.align or "CENTER";

	frame:ClearAllPoints();
	frame:SetPoint(a, UIParent, self.db.char.rpos, self.db.char.posX, self.db.char.posY);

	if h == "LEFT" then
		p1 = "TOPLEFT";
	elseif h == "RIGHT" then
		p1 = "TOPRIGHT";
	else
		p1 = "TOP";
	end
	
	damag:SetPoint(p1, frame, p1, 0, 0);
	damag:SetJustifyH(h);
	typed:SetPoint(p1, damag, p1, 0, -self.db.char.fontSizeDamag);
	typed:SetJustifyH(h);
	statone:SetPoint(p1, typed, p1, 0, -self.db.char.fontSizeTyped);
	statone:SetJustifyH(h);
	stattwo:SetPoint(p1, statone, p1, 0, 0-self.db.char.fontSizeStats);
	stattwo:SetJustifyH(h);
end

function PD:UpdateFonts()
	local SharedMedia = LibStub and LibStub:GetLibrary("LibSharedMedia-2.0", true)
	t = SharedMedia and SharedMedia:Fetch("font", self.db.char.fontFace) or "Fonts\\FRIZQT__.ttf";
	damag:SetFont(t, self.db.char.fontSizeDamag, self.db.char.fontOutline);
	typed:SetFont(t, self.db.char.fontSizeTyped, self.db.char.fontOutline);
	statone:SetFont(t, self.db.char.fontSizeStats, self.db.char.fontOutline);
	stattwo:SetFont(t, self.db.char.fontSizeStats, self.db.char.fontOutline);

	if self.db.char.fontShadow then
		damag:SetShadowOffset(1, -1);
		typed:SetShadowOffset(1, -1);
		statone:SetShadowOffset(1, -1);
		stattwo:SetShadowOffset(1, -1);
	else
		damag:SetShadowOffset(0, 0);
		typed:SetShadowOffset(0, 0);
		statone:SetShadowOffset(0, 0);
		stattwo:SetShadowOffset(0, 0);
	end

	damag:SetText("1234");
	typed:SetText( self.db.char.damtype );
	statone:SetText("667 Fire resistance");
	stattwo:SetText("667 Shadow resistance");
	frame:SetWidth(typed:GetWidth() > damag:GetWidth() and typed:GetWidth() or damag:GetWidth() or statone:GetWitch() or stattwo:GetWitch());
	frame:SetHeight(damag:GetHeight() + typed:GetHeight() + statone:GetHeight() + stattwo:GetHeight());
end
